import { Application } from 'express';
export declare function startServer(app: Application, options: ServerOptions): Promise<void>;
export declare function preHook(fn: any): Promise<void>;
export declare function postHook(fn: any): Promise<void>;
export interface ServerOptions {
    port: number;
    title?: string;
    https?: {
        port: number;
        privateKey: string;
        certificate: string;
    };
    pre?: Function;
    post?: Function;
}
